#include "stm32g0xx_hal.h"
#include "stdbool.h"
#include "sysdata.h"

HAL_StatusTypeDef EEPROM_readConfig(sys_data_t * data);
HAL_StatusTypeDef EEPROM_storeConfig(sys_data_t * data, bool withSN, bool saveNewKey);
HAL_StatusTypeDef EEPROM_fullRestore(sys_data_t * data, bool keepSN);
HAL_StatusTypeDef EEPROM_factoryRestore(sys_data_t * data);
HAL_StatusTypeDef EEPROM_storeLogData(void);
HAL_StatusTypeDef EEPROM_readLogData(void);
HAL_StatusTypeDef EEPROM_ResetLogData(void);

bool EEPROM_isFirstStart(void);
